WESNOTHD(6)

NAAM
wesnothd - Strijd om Wesnoth multiplayer netwerk daemon

OVERZICHT
wesnothd [-dvV] [-c path] [-p port] [-t number]

OMSCHRIJVING
Beheert Strijd om Wesnoth multiplayer spellen. Bekijk http://www.wesnoth.org/wiki/ServerAdministration voor informatie over toegestane commandos.

OPTIES

-c, --config path
    vertelt wesnothd waar het het configuratiebestand kan vinden. Lees de sectie SERVER CONFIG hieronder voor de syntax.

-d, --daemon
    draait wesntohd als een daemon.

-h, --help
    veklaart de opties voor command line.

-p, --port port
    verbind de server met de opgegeven poort. Als geen poort is opgegeven, poort 15000 zal worden gebruikt.

-t, --threads number
    stelt het aantal threads voor netwerk I/O in op n (Standaard: 5, max: 30).

-V, --version
    toont het versie nummer en sluit af.

-v, --verbose
    schakelt uitgebreidere logging in.

SERVER CONFIGURATIE

  De algemene syntax is:

[element]

    sleutel="waarde"

    sleutel="waarde,waarde,..."

[/element]

  Globale sleutels:

connections_allowed
    Het aantal toegestane verbindingen van hetzelfde IP.

disallow_names
    Namen die niet geaccepteerd worden door de sever. `*' en `?' als jokertekens zijn toegestaan. Bekijk glob(7) voor meer details. Standaard waarden (gebruikt wanneer niet gespecificeerd) zijn: `server,ai,player,network,human,admin,computer'.

max_messages
    Het aantal toegestane berichten in messages_time_period.

messages_time_period
    De tijdsperiode (in seconden)

motd
    Bericht van de dag.

passwd
    Het wachtwoord om admin rechten te krijgen. Meestal begint het met "admin ".

versions_accepted
    Een comma gescheiden lijst van versies die door de server geaccepteerd dient te worden. `*' en `?' zijn als jokertekens toegestaan.
    Voorbeeld: versions_accepted="*" accepteerd elke versie.

  Globale elementen:

[redirect] Een element om een server aan te wijzen om bepaalde client versies naar te verwijzen.

    host
        Het adres van de te verwijzen server.

    port
        De te verbinden poort.

    version
        Een comma gescheiden lijst van te verwijzen versies. Gedraagt zich hetzelfde als versions_accepted wat betreft jokertekens.

[proxy] Een element om de server te vertellen om als proxy te handelen en de verbonden klant door te sturen naar de ingestelde server. Accepteert dezelfde sleutels als [redirect].

AUTEUR
Geschreven door David White <davidnwhite@verizon.net>. Bewerkt door Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> and Soliton <soliton@sonnenkinder.org>. Deze handleiding was oorspronkelijk geschreven door Cyril Bouthors <cyril@bouthors.org>.
Bezoek de officiele website: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2006 David White <davidnwhite@verizon.net>
Dit Programma is vrije software; deze software is gelicenceerd onder de GPL versie 2, zoals door de Free Software Foundation gepubliceerd, maar komt ZONDER EENDER WELKE GARANTIE zelfs zonder de impliciete garantie van VERKOOPBAARHEID of GESCHIKTHEID VOOR EEN BEPAALD DOEL.

BEKIJK OOK
wesnoth(6), wesnoth_editor(6)